Tspi_Hash_VerifySignature(3)

TCG Software Stack Developer's Reference

NAME
Tspi_Hash_VerifySignature - verify the hash value with a given signature

SYNOPSIS
#include <tss/platform.h>
#include <tss/tcpa_defines.h>
#include <tss/tcpa_typedef.h>
#include <tss/tcpa_struct.h>
#include <tss/tss_typedef.h>
#include <tss/tss_structs.h>
#include <tss/tspi.h>

TSS_RESULT Tspi_Hash_VerifySignature(TSS_HHASH hHash,             TSS_HKEY hKey,
                                     UINT32    ulSignatureLength, BYTE*    rgbSignature);

DESCRIPTION

Tspi_Hash_VerifySignature verifies the hash value of a given hash object with a given signature. In order to use this command, one must have a hash and a signature of the hash that one is trying to verify. The public key which corresponds to the private key used to sign the hash is also needed.

PARAMETERS

  hHash
The handle to the hash object instance whose hash value should be signed.

  hKey
Handle to the key object which should be used for the signature verification.

  ulSignatureLength
The length of the signature data provided at the parameter rgbSignature.

  rgbSignature
A pointer to the signature data.

RETURN CODES

Tspi_Hash_VerifySignature returns TSS_SUCCESS on success, otherwise one of the following values is returned:

TSS_E_INVALID_HANDLE
    hKey is not a valid handle.

TSS_E_INTERNAL_ERROR
    An internal SW error has been detected.

TSS_E_BAD_PARAMETER
    One or more parameters is bad.

TSS_E_HASH_INVALID_LENGTH
    Hash length is inconsistent with hash algorithm.

TSS_E_HASH_NO_DATA
    Hash object has no internal hash value.

TSS_E_INVALID_SIGSCHEME
    Invalid signature scheme.

CONFORMING TO

Tspi_Hash_VerifySignature conforms to the Trusted Computing Group Software Specification version 1.1 Golden

SEE ALSO

Tspi_Hash_UpdateHashValue(3), Tspi_Hash_SetHashValue(3), Tspi_Hash_Sign(3), Tspi_Hash_GetHashValue(3).